org.fife.ui.rsyntaxtextarea.focusabletip

## Class TipUtil

- java.lang.Object
- - org.fife.ui.rsyntaxtextarea.focusabletip.TipUtil

    public class TipUtil
    extends Object

Static utility methods for focusable tips.

Version:
  1.0
Author:
  Robert Futrell

### Method Summary

Methods
`static Rectangle` `getScreenBoundsForPoint(int x, int y)` Returns the screen coordinates for the monitor that contains the specified point.
`static Color` `getToolTipBackground()` Returns the default background color to use for tool tip windows.
`static Border` `getToolTipBorder()` Returns the border used by tool tips in this look and feel.
`static void` `tweakTipEditorPane(JEditorPane textArea)` Tweaks a `JEditorPane` so it can be used to render the content in a focusable pseudo-tool tip.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getScreenBoundsForPoint

    public static Rectangle getScreenBoundsForPoint(int x,
                                    int y)

Returns the screen coordinates for the monitor that contains the specified point. This is useful for setups with multiple monitors, to ensure that popup windows are positioned properly.

Parameters:
  `x` - The x-coordinate, in screen coordinates.
  `y` - The y-coordinate, in screen coordinates.
Returns:
  The bounds of the monitor that contains the specified point.

#### getToolTipBackground

    public static Color getToolTipBackground()

Returns the default background color to use for tool tip windows.

Returns:
  The default background color.

#### getToolTipBorder

    public static Border getToolTipBorder()

Returns the border used by tool tips in this look and feel.

Returns:
  The border.

#### tweakTipEditorPane

    public static void tweakTipEditorPane(JEditorPane textArea)

Tweaks a `JEditorPane` so it can be used to render the content in a focusable pseudo-tool tip. It is assumed that the editor pane is using an `HTMLDocument`.

Parameters:
  `textArea` - The editor pane to tweak.